Issues Encountered in Blockstack Portal


#1

Hello,

I recently updated my blockstack-portal installation and have been running into some issues both on creating an account and restoring an account.

Creating an account:

Restoring an account:

Have you already encountered this issue?

Thanks.


#2

That problem is this issue: https://github.com/blockstack/blockstack-portal/issues/390

It should be fixed in v0.7.0 - are you still seeing the problem?


#3

That version cleaned up the problems. I’m now getting another issue in the wallet page.

Its getting an empty response but the API is up and running.


#4

How are you running the Portal? Are you using the mac app? If not, which version of Core are you running?


#5

I’m running it on Ubuntu 14.04, using “npm run dev” and “npm run dev-proxy”.

Output from running “blockstack info”:

"advanced_mode": true, 
"cli_version": "0.14.1.6", 
"consensus_hash": "119667c2113725e955dfe571239b3cc3", 
"last_block_processed": 460164, 
"last_block_seen": 463675, 
"queues": {}, 
"server_alive": true, 
"server_host": "127.0.0.1", 
"server_port": 6264, 
"server_version": "0.14.1.6"

Not trying to turn this thread into an issue portal lol, what I’m really trying to find out is which branch I should use to get to work.


#6

Portal v0.7.0 uses this branch https://github.com/blockstack/blockstack-core/tree/master-sprint-2017-04-13

Sorry about the confusion.


#7

Much appreciated Larry!


#8

I was trying to install this branch of blockstack-core and “get_started.sh” cant seem to find the dependencies I already have installed.


#9

The portal branch v0.8 remove the error I first reported. Now the console is telling me that the core api password is not valid. I’m still using the same core version since I couldn’t install the version you recommended for some reason. Thank you for all your patience and help


#10

Hey @marcel wanted to loop back here and make sure you figured everything out.

Tagging @larry on this as well.